<?php

function content_start()
{
?>
<table class="main" cellpadding="0" cellspacing="0" width="100%">
<?php
}

function header_start()
{
?>
  <tr><td class="header">
    <table border="0" cellpadding="3" cellspacing="1" width="100%">
      <tr>
<?php
}

function header_left()
{
?>    
    <td class="header" width="100%">
<?php
}

function header_right()
{
?>    
    <td align="right" class="header">
<?php
}

function header_left_right_end()
{
?>
    </td>
<?php
}

function header_end()
{
?>    
      </tr>
    </table>
  </td></tr>
<?php
}

function title_start()
{
?>
  <tr>
<?php
}

function title_left($att="")
{
?>
        <th class="title" <?php echo $att ?>>
<?php
}
function title_left_end()
{
?>
        </th>
<?php
}

function title_data($att="")
{
?>
        <td class="title" <?php echo $att ?>>
<?php
}

function title_data_end()
{
?>
        </td>
<?php
}

function title_end()
{
?>
    </tr>
<?php
}

function body_start()
{
?>
  <tr><td>
    <table class="body" border="0" cellpadding="3" cellspacing="1" width="100%">
<?php
}

function body_compose_start()
{
?>
  <tr><td>
    <table class="body" border="0" cellpadding="1" cellspacing="1" width="100%">
<?php
}

function body_row($att="")
{
?>
    <tr <?php echo $att ?>>
<?php
}

function body_left($att="")
{
?>
    <td <?php echo $att ?>>
<?php
}

function body_left_end()
{
?>
    </td>
<?php
}

function body_check()
{
?>
    <td style="padding-top:0;padding-bottom:0;text-align:center">
<?php
}

function body_check_end()
{
?>
    </td>
<?php
}

function body_row_end()
{
?>
    </tr>
<?php
}


function body_end()
{
?>
    </table>
    </td></tr>
<?php
}

function content_end()
{
    global $doimap;
    global $alerts;
    if ($doimap)
    {
        $ia = imap_alerts();
        if (is_array($alerts))
        {
            if (is_array($ia))
                $alerts = array_merge($alerts, $ia);
        }
        else
            $alerts = $ia;
    }

    if (is_array($alerts))
    {
        foreach ($alerts as $alert)
        {
            ?>
            <tr><td class="alert"><?php echo $alert ?></td></tr>
            <?php
        }
    }
version();
?>
</table>
<?php
}


function style()
{
    include("style.php");
}


function version()
{
?>
    <tr><td class="version"><?php echo VERSION ?></td></tr>
<?php
}


function maketitle($name)
{
    global $user;
    if (isset($user) and $user !== "") 
        return htmlspecialchars($name) . " - " . htmlspecialchars($user) . " - " . PROG_NAME;
    return htmlspecialchars($name) . " - " . PROG_NAME;
}

function title()
{
    global $mailbox;
    // if $doimap is not set, we are not trying to access a mailbox, so we
    // always show the real content.
    global $doimap;
    if ($doimap and (imap_last_error() and !$mailbox))
    {
        print maketitle("Error");
    }
    else
    {
        print pagetitle();
    }
}


function content()
{
    global $mailbox;
    global $errors;
    global $alerts;
    // if $doimap is not set, we are not trying to access a mailbox, so we
    // always show the real content.
    global $doimap;
    if ($doimap)
    {
        $ie = imap_errors();
        // If we have a $mailbox, the error was not fatal
        if (!$mailbox)
        {
            if (is_array($errors))
            {
                if (is_array($ie))
                    $errors = array_merge($errors, $ie);
            }
            else
                $errors = $ie;
        }
        else 
        {
            // add non-fatal errors to $alerts
            if (is_array($alerts))
            {
                if (is_array($ie))
                    $alerts = array_merge($alerts, $ie);
            }
            else
                $alerts = $ie;
        }
    }
    if (is_array($errors))
    {
        content_start();
        header_start();
        header_left();
        echo title(); 
        header_left_right_end();
        header_end();
        body_compose_start(); 
        body_row();
        body_left('class="body"');

        print "<pre>";
        foreach ($errors as $error)
        {
            print "$error<br>";
        }
        print "</pre>";
        body_left_end();
        body_row_end();
        body_row('class="rowon"');
        body_left();
        ?>
        <div align="center">
        <a href="<?php print SERVER_REDIR; ?>"><?php print SERVER_REDIR; ?></a>
        </div>
        <?php
        body_left_end();
        body_row_end();

 
        body_end();

        header_start();
        header_right();
    ?>
        <form action="logout.php" method="get">
        <input type="submit" value="<?php echo L_LOGON_BTN ?>">
        </form>
    <?php
        header_left_right_end();
        header_end(); 
        content_end();
    }
    else
    {
        pagecontent();
    }
}
?>
